[General]
hijack-dns = 8.8.8.8:53,8.8.4.4:53
private-ip-answer = true
bypass-system = true
doh-server = https://dns.alidns.com/dns-query,https://doh.pub/dns-query
skip-proxy = 192.168.0.0/16, 10.0.0.0/8, 172.16.0.0/12, localhost, *.local, captive.apple.com %INSERT% localhost, *.local, e.crashlytics.com, www.baidu.com, passenger.t3go.cn, yunbusiness.ccb.com, wxh.wo.cn, gate.lagou.com, www.abchina.com.cn, login-service.mobile-bank.psbc.com, mobile-bank.psbc.com, 10.0.0.0/8, 127.0.0.1/32, 172.16.0.0/12, 192.168.0.0/16, 192.168.122.1/32, 193.168.0.1/32,::1/128, fe80::/10
tun-excluded-routes = 10.0.0.0/8, 100.64.0.0/10, 127.0.0.0/8, 169.254.0.0/16, 172.16.0.0/12, 192.0.0.0/24, 192.0.2.0/24, 192.88.99.0/24, 192.168.0.0/16, 198.18.0.0/15, 198.51.100.0/24, 203.0.113.0/24, 224.0.0.0/4, 255.255.255.255/32
dns-server = 119.29.29.29,223.5.5.5
ipv6 = false
always-real-ip = %INSERT% *.lan, *.direct, cable.auth.com, *.msftconnecttest.com, *.msftncsi.com, network-test.debian.org, detectportal.firefox.com, resolver1.opendns.com, *.srv.nintendo.net, *.stun.playstation.net, xbox.*.microsoft.com, *.xboxlive.com, stun.*, global.turn.twilio.com, global.stun.twilio.com, app.yinxiang.com, injections.adguard.org, local.adguard.org, cable.auth.com, localhost.*.qq.com, localhost.*.weixin.qq.com, *.logon.battlenet.com.cn, *.logon.battle.net, *.blzstatic.cn, music.163.com, *.music.163.com, *.126.net, musicapi.taihe.com, music.taihe.com, songsearch.kugou.com, trackercdn.kugou.com, *.kuwo.cn, api-jooxtt.sanook.com, api.joox.com, joox.com, y.qq.com, *.y.qq.com, streamoc.music.tc.qq.com, mobileoc.music.tc.qq.com, isure.stream.qqmusic.qq.com, dl.stream.qqmusic.qq.com, aqqmusic.tc.qq.com, amobile.music.tc.qq.com, *.xiami.com, *.music.migu.cn, music.migu.cn, proxy.golang.org, *.mcdn.bilivideo.cn, *.cmpassport.com, id6.me, open.e.189.cn, mdn.open.wo.cn, opencloud.wostore.cn, auth.wosms.cn, *.jegotrip.com.cn, *.icitymobile.mobi, *.pingan.com.cn, *.cmbchina.com, *.10099.com.cn, pool.ntp.org, *.pool.ntp.org, ntp.*.com, time.*.com, ntp?.*.com, time?.*.com, time.*.gov, time.*.edu.cn, *.ntp.org.cn, PDC._msDCS.*.*, DC._msDCS.*.*, GC._msDCS.*.*
update-url = https://gist.githubusercontent.com/daipengu/a6c83efb933567a0deb271f20a6c43e1/raw/Shadowrocket

[Proxy Group]
IP位置 = select,手动切换,DIRECT,🇭🇰 香港,🇺🇸 美国,🇯🇵 日本,🇸🇬 狮城,🇨🇳台湾,policy-select-name=DIRECT,interval=86400,timeout=5,select=1,url=http://www.gstatic.com/generate_204
低倍率 = url-test,url=http://www.gstatic.com/generate_204,interval=600,tolerance=30,timeout=5,select=0,policy-regex-filter=^(?=.*((?i)(\b(0|0.)\b)))(?!.*((?i)回国|1.0|校园|0.7|套餐|期|游戏|(\b(GAME)\b))).*$
自动选择 = url-test,url=http://www.gstatic.com/generate_204,interval=600,tolerance=30,timeout=5,select=3,policy-regex-filter=^(?=.*((?i)(\b()\b)))(?!.*((?i)回国|5x|剩余|到期|校园|10x|流|游戏|(\b(GAME)\b))).*$
🇭🇰 香港 = url-test,url=http://www.gstatic.com/generate_204,interval=600,tolerance=30,timeout=5,select=0,policy-regex-filter=^(?=.*((?i)🇭🇰|香港|(\b(HK|Hong)\b)))(?!.*((?i)回国| 5x|校园|10x|游戏|(\b(GAME)\b))).*$
🇺🇸 美国 = url-test,url=http://connectivitycheck.gstatic.com/generate_204,interval=600,tolerance=100,timeout=3,select=0,policy-regex-filter=^(?=.*((?i)🇺🇸|美国|波特兰|达拉斯|俄勒冈|凤凰城|费利蒙|硅谷|拉斯维加斯|洛杉矶|圣何塞|圣克拉拉|西雅图|芝加哥|(\b(US|United States)\b)))(?!.*((?i)回国|校园|游戏|(\b(GAME)\b))).*$
🇯🇵 日本 = url-test,interval=600,tolerance=30,timeout=5,select=0,policy-regex-filter=^(?=.*((?i)🇯🇵|日本|川日|东京|大阪|泉日|埼玉|(\b(JP|Japan)\b)))(?!.*((?i)回国|校园|游戏|(\b(GAME)\b))).*$
🇸🇬 狮城 = url-test,interval=600,tolerance=30,timeout=5,select=0,policy-regex-filter=^(?=.*((?i)🇸🇬|新加坡|狮|(\b(SG|Singapore)\b)))(?!.*((?i)回国|校园|游戏|(\b(GAME)\b))).*$
🇨🇳台湾 = url-test,url=http://www.gstatic.com/generate_204,interval=600,tolerance=30,timeout=5,select=0,policy-regex-filter=^(?=.*((?i)🇹🇼|台湾|(\b(TW|Tai|Taiwan)\b)))(?!.*((?i)回国|校园|游戏|(\b(GAME)\b))).*
Telegram = select,手动切换,🇭🇰 香港,🇺🇸 美国,🇯🇵 日本,🇸🇬 狮城,🇨🇳台湾,interval=86400,timeout=5,select=0,url=http://www.gstatic.com/generate_204
YouTube = select,手动切换,🇭🇰 香港,🇺🇸 美国,🇯🇵 日本,🇸🇬 狮城,🇨🇳台湾,interval=86400,timeout=5,select=0,url=http://www.gstatic.com/generate_204
Emby = select,手动切换,低倍率,🇭🇰 香港,🇺🇸 美国,🇸🇬 狮城,🇯🇵 日本,🇨🇳台湾,DIRECT,interval=86400,timeout=5,select=0,url=http://www.gstatic.com/generate_204
OpenAI = select,手动切换,PROXY,🇭🇰 香港,🇺🇸 美国,🇸🇬 狮城,🇯🇵 日本,🇨🇳台湾,interval=86400,timeout=5,select=0,url=http://www.gstatic.com/generate_204
Spotify = select,手动切换,自动选择,PROXY,🇭🇰 香港,🇺🇸 美国,🇸🇬 狮城,🇯🇵 日本,🇨🇳台湾,interval=86400,timeout=5,select=0,url=http://www.gstatic.com/generate_204
Tiktok = select,手动切换,自动选择,PROXY,🇭🇰 香港,🇺🇸 美国,🇸🇬 狮城,🇯🇵 日本,🇨🇳台湾,interval=86400,timeout=5,select=0,url=http://www.gstatic.com/generate_204
手动切换 = select,自动选择,低倍率,🇭🇰 香港,🇺🇸 美国,🇸🇬 狮城,🇯🇵 日本,🇨🇳台湾,PROXY,interval=86400,timeout=5,select=0,url=http://www.gstatic.com/generate_204

[Rule]
AND,((DOMAIN-SUFFIX,googlevideo.com), (PROTOCOL,UDP)),REJECT
AND,((DOMAIN,youtubei.googleapis.com), (PROTOCOL,UDP)),REJECT
RULE-SET,https://raw.githubusercontent.com/fmz200/wool_scripts/main/QuantumultX/filter/fenliuxiuzheng.list,DIRECT
DOMAIN-SUFFIX,freeok.vip,DIRECT
DOMAIN-SUFFIX,5flik.vip,DIRECT
DOMAIN-SUFFIX,5cino.com,DIRECT
DOMAIN-SUFFIX,5flixs.net,DIRECT
DOMAIN-SUFFIX,555app.vip,DIRECT
DOMAIN-KEYWORD,5look.site,DIRECT
DOMAIN-KEYWORD,555u.store,DIRECT
DOMAIN-SUFFIX,script.hub,手动切换
DOMAIN-SUFFIX,5flik.vip,DIRECT
DOMAIN-SUFFIX,5cino.com,DIRECT
DOMAIN-SUFFIX,5flixs.net,DIRECT
DOMAIN-SUFFIX,555app.vip,DIRECT
DOMAIN-KEYWORD,5look.site,DIRECT
DOMAIN-KEYWORD,555u.store,DIRECT
RULE-SET,https://gist.githubusercontent.com/daipengu/834a76694d47f5ec5cb18b1ec9861d73/raw/IP,IP位置
RULE-SET,https://limbopro.com/Adblock4limbo.list,REJECT
RULE-SET,https://raw.githubusercontent.com/ConnersHua/RuleGo/master/Surge/Ruleset/Extra/Reject/Advertising.list,REJECT
RULE-SET,https://raw.githubusercontent.com/VirgilClyne/GetSomeFries/main/ruleset/HTTPDNS.Block.list,REJECT
RULE-SET,https://raw.githubusercontent.com/RuCu6/QuanX/main/Rules/MyBlockAds.list,REJECT
RULE-SET,https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/QuantumultX/Apple/Apple.list,DIRECT
RULE-SET,https://github.com/Repcz/Tool/raw/X/Loon/Rules/Telegram.list,TELEGRAM
RULE-SET,https://whatshub.top/rule/YouTube.list,YOUTUBE
RULE-SET,https://whatshub.top/rule/Telegram.list,手动切换
RULE-SET,https://github.com/Repcz/Tool/raw/X/Shadowrocket/Rules/OpenAI.list,OPENAI
RULE-SET,https://github.com/Repcz/Tool/raw/X/Shadowrocket/Rules/Spotify.list,SPOTIFY
RULE-SET,https://github.com/Repcz/Tool/raw/X/Shadowrocket/Rules/Emby.list,EMBY
RULE-SET,https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Shadowrocket/Lan/Lan.list,DIRECT
RULE-SET,https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/ChinaDomain.list,DIRECT
GEOIP,CN,DIRECT
FINAL,手动切换

[Host]
# 微云
*.weiyun.com = server:system
# 腾讯 图片 静态资源
*.gtimg.cn = server:system
*.idqqimg.com = server:system
# 腾讯 静态资源 CDN
*.cdn-go.cn = server:system
# 苹果
*.icloud.com.cn = server:system
*.apple.com = server:system
*.apple.cn = server:system
*.cdn-apple.com = server:system
*.icloud.com = server:system
*.icloud-content.com = server:system
# 腾讯
*.tencent.com = server:system
# QQ
*.qq.com = server:system
# 腾讯头像
*.qlogo.cn = server:system
# 腾讯图片
*.qpic.cn = server:system
# 微信
*.weixin.qq.com = server:system
*.wx.qq.com = server:system
*.weixin.com = server:system
# 微信公众平台
*.weixinbridge.com = server:system
# WeChat
*.wechat.com = server:system
# 微信小程序
*.servicewechat.com = server:system
# 微信公众平台
*.weixinbridge.com = system
# WeChat
*.wechat.com = server:system
# 微信小程序
*.servicewechat.com = server:system

[MITM]
enable = true
# 不可 MitM 也不应该被打断连接的域名
hostname = %INSERT% -*.facebook.com, -*.instagram.com, -*.twitter.com, -*.snssdk.com, -*.pstatp.com
hostname-disabled = %INSERT% gateway.icloud.com, gateway.icloud.com.cn, weather-data.apple.com, buy.itunes.apple.com
ca-passphrase = Shadowrocket
ca-p12 = 